Bug 110487 - Radeon 7500 OpenGL full screen with garbage on the sides
Radeon 7500 OpenGL full screen with garbage on the sides
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-19 20:56 EST by A. Guru
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 02:28:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A. Guru 2003-11-19 20:56:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When playing OpenGL games full screen, there is a 1-pixel border of
garbage on the right and bottom sides of the screen.  This wasn't
there on my previous Red Hat installation, 7.3.

This does not occur for non OpenGL programs, such as Adobe Acrobat in
full screen which is fine.  So the bug is similar but different than
#66253.

Note that the bug could be in the kernel DRI module for Radeon, as well
as in the X server.

My card is a "ATI Technologies Inc Radeon RV200 QW [Radeon 7500]"
and my north bridge (for AGP) is "SiS645DX Host & Memory & AGP
Controller".  I setup the graphics at a resolution of 1600x1200.


Version-Release number of selected component (if applicable):
XFree86-4.3.0-42

How reproducible:
Always

Steps to Reproduce:
1.  Configure an OpenGL game full screen at 1600x1200
2.  Play...

Actual Results:  1-pixel border of garbage on the right and bottom
sides of the screen

Expected Results:  no such border

Additional info:
Comment 1 Ed Bailey 2004-02-19 13:41:45 EST
I can see this on my Radeon 9000 Pro when running the "pulsar"
screeensaver.  In this case, when ends of the rotating planes in the
screensaver go offscreen on the bottom and right-hand side of the
screen, there is a 1-pixel border of garbage...
Comment 2 Mike A. Harris 2004-02-19 14:14:33 EST
Guru)
Very unlikely to be a kernel bug at all.  More likely than not,
it would be a bug in radeon_dri.so 3D driver.  Please attach your
XFree86 log, config file, and /var/log/messages to the bug report
as individual uncompressed files using the file attachment link
below.

Ed)
Can you do the same also please?

TIA
Comment 3 Ed Bailey 2004-02-20 11:46:43 EST
Hmmm, I tried to replicate it on my fully-updated FC1 home box last
night, and I couldn't.  I also tried to replicate it on my FC2t1 test
box at work, and no dice, either.

I *know* I've seen this bug, and could've sworn it was in the FC1
timeframe.  I'm going to put the initial FC1 release on my test box,
and see what happens...
Comment 4 Ed Bailey 2004-02-20 14:38:37 EST
Hmmm, the initial FC1 release doesn't do it on my test box.  Sorry, I
guess I'm outta luck on this one...
Comment 5 Mike A. Harris 2004-02-20 14:43:14 EST
Ed) Are you using 1600x1200 to try to reproduce?  It's possible it
could be a bug specific to a particular screen size, possibly an off
by one bug in mode specific code or somesuch.

Guru)  Can you test this in other video modes also?
Comment 6 Ed Bailey 2004-02-20 14:46:37 EST
No, I was trying 1280x1024 at home, and 1024x768 at work.  These
resolutions have been what I've been using for forever, so it doesn't
seem mode-specific...
Comment 7 Mike A. Harris 2004-10-12 02:28:01 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.